doctype html
html
    head
        meta(charset='UTF-8')
        title bayou.pvos.org
        link(rel='stylesheet', href='/style.css')
        //script(src='https://cdn.jsdelivr.net/npm/chart.js@2.8.0')
        //script(src='js/dist/Char.min.js')
        script(src='https://cdn.jsdelivr.net/npm/luxon@1.25.0/build/global/luxon.min.js')
        script(src='https://cdn.jsdelivr.net/npm/chart.js@2.9.3')
        //script(src='https://cdn.jsdelivr.net/npm/luxon@1.22.1')
        script(src='https://cdn.jsdelivr.net/npm/chartjs-adapter-luxon@0.2.1')
        script(src='/js/qrcode.min.js')
        script(src='/js/bayou.js')

<a href="/">Back to home</a>

<hr>

//h2 Feed: "#{feed_pubkey}"

//li.boxsmaller <b>Feed Name:</b> "#{feed_name}"
li.boxsmaller <b>Feed Public Key:</b> #{feed_pubkey}
li.boxsmaller <b>Feed Home Page:</b> <a href="/data/#{feed_pubkey}">http://#{base_url}/data/#{feed_pubkey}</a>
li.boxsmaller <b>Download All Feed Data</b>: <a href="/data/#{feed_pubkey}/csv/">CSV</a> | <a href="/data/#{feed_pubkey}/json/">JSON</a>
li.boxsmaller <b>Download Latest Datapoint Only</b>: <a href="/data/#{feed_pubkey}/latest/">JSON</a>

p.boxsmaller <b>QR Code</b> with link to this feed (download: <a href="#" download="qrcode.png" id="downloadlink">qrcode_feed_#{feed_pubkey}.png</a>):
canvas(id='qrcode')


table.center
    tr
        th Node
        th Label
        th JSON
        th CSV
        th Latest
        //th Latest (JSON)
        //th Map X,Y
    //each val in unique_nodes
    each val in labeled_nodes
        tr
            td #{val.node_id}
            td #{val.label}
            td <a href="http://#{base_url}/data/#{feed_pubkey}/json/#{val.node_id}">JSON</a>
            td <a href="http://#{base_url}/data/#{feed_pubkey}/csv/#{val.node_id}">CSV</a>
            td <a href="http://#{base_url}/data/#{feed_pubkey}/latest/#{val.node_id}">JSON</a>
            //td #{val}

//each val, i in bayoudata
//            tr
//                td(style="padding:1px; border-radius: 20px; background: lightgray; font-size:18px; font-weight: bold; color:"+colors[i]) !{val.feed_nickname}
//                td <a href="http://co2data.pvos.org/data/#{val.feedjson.feed_pubkey}">!{val.feedjson.feed_pubkey}</a>
//                td  <a href="http://co2data.pvos.org/data/#{val.feedjson.feed_pubkey}/csv">CSV</a> | <a href="http://co2data.pvos.org/data/#{val.feedjson.feed_pubkey}/json">JSON</a>
//

//p.boxsmaller Nodes in this feed: 
//ul
//  each val in unique_nodes
//    li=val

//script.
//    var my_stats = ['co2_ppm','temperature_c'];

p.boxsmaller <b>#{plot_param}</b>:

canvas(id='myChart' height='100px')

    script.
        QRCode.toCanvas(document.getElementById('qrcode'), 'http://#{base_url}/data/#{feed_pubkey}', function (error) {
        if (error) console.error(error)
        console.log('success!');
        })
    
    script.
        const canvas = document.getElementById("qrcode");
        const canvasdata = canvas.toDataURL();
        const link = document.getElementById("downloadlink");
        link.href = canvasdata;
        link.download = "feed_#{feed_pubkey}.png";

    script.
        makeDefaultOverlay('myChart',!{JSON.stringify(feed_pubkey)},!{JSON.stringify(plot_param)},!{JSON.stringify(limit)});
        var intervalId = window.setInterval(function(){
        makeDefaultOverlay('myChart',!{JSON.stringify(feed_pubkey)},!{JSON.stringify(plot_param)},!{JSON.stringify(limit)});
        }, 5000);
